Bug 585509 - [abrt] crash in poker2d-1.7.3-3.fc12: pokerrenderer.py:1615:handleMenu:AttributeError: 'NoneType' object has no attribute 'getSerial'
[abrt] crash in poker2d-1.7.3-3.fc12: pokerrenderer.py:1615:handleMenu:Attrib...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: poker2d (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Extras Quality Assurance
abrt_hash:74b5d732
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-24 09:18 EDT by jmcc2950
Modified: 2010-12-03 10:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:29:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.48 KB, text/plain)
2010-04-24 09:18 EDT, jmcc2950
no flags Details

  None (edit)
Description jmcc2950 2010-04-24 09:18:44 EDT
abrt 1.0.8 detected a crash.

architecture: i686
cmdline: /usr/bin/python2.6 /usr/bin/poker2d
component: poker2d
executable: /usr/bin/poker2d
kernel: 2.6.32.9-70.fc12.i686.PAE
package: poker2d-1.7.3-3.fc12
reason: pokerrenderer.py:1615:handleMenu:AttributeError: 'NoneType' object has no attribute 'getSerial'
release: Fedora release 12 (Constantine)

backtrace
-----
pokerrenderer.py:1615:handleMenu:AttributeError: 'NoneType' object has no attribute 'getSerial'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/twisted/internet/gtk2reactor.py", line 266, in simulate
    self.iterate()
  File "/usr/lib/python2.6/site-packages/twisted/internet/base.py", line 576, in iterate
    self.runUntilCurrent()
  File "/usr/lib/python2.6/site-packages/twisted/internet/base.py", line 741, in runUntilCurrent
    self._insertNewDelayedCalls()
  File "/usr/lib/python2.6/site-packages/twisted/internet/base.py", line 700, in _insertNewDelayedCalls
    for call in self._newTimedCalls:
  File "/usr/lib/python2.6/site-packages/pokerui/pokerinterface.py", line 118, in event
    data = self.handleMenu(data[1:])
  File "/usr/lib/python2.6/site-packages/pokerui/pokerinterface.py", line 591, in handleMenu
    self.publishEvent(INTERFACE_MENU, data[0], data[1])
  File "/usr/lib/python2.6/site-packages/pokernetwork/dispatch.py", line 58, in publishEvent
    cb(*args, **kwargs)
  File "/usr/lib/python2.6/site-packages/pokerui/pokerrenderer.py", line 1615, in handleMenu
    self.factory.browseWeb("edit_account.php?serial=%d&name=%s" % ( self.protocol.getSerial(), self.protocol.getName() ))
AttributeError: 'NoneType' object has no attribute 'getSerial'

Local variables in innermost frame:
self: <pokerui.pokerrenderer.PokerRenderer instance at 0x9b91f4c>
name: 'edit_account'
value: '1'
settings: <pokernetwork.pokernetworkconfig.Config instance at 0x9b91b8c>
Comment 1 jmcc2950 2010-04-24 09:18:46 EDT
Created attachment 408825 [details]
File: backtrace
Comment 2 nerd__02 2010-06-06 22:59:35 EDT
Package: poker2d-1.7.3-3.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. First time running poker2d
2. Clicked the "edit account" option
3.


Comment
-----
I recently installed several dependencies for the freeciv game, such as zlib-devel, and gtk2-devel
Comment 3 bethebeast 2010-07-24 09:17:07 EDT
Package: poker2d-1.7.3-3.fc12
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.open poker2d
2.get crash
3.
Comment 4 Bug Zapper 2010-11-03 12:24:18 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 10:29:47 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.